public static interface ClassEndpointBuilderFactory.ClassBuilders
| Modifier and Type | Method and Description |
|---|---|
default ClassEndpointBuilderFactory.ClassEndpointBuilder |
clas(String path)
Class (camel-bean)
Invoke methods of Java beans specified by class name.
|
default ClassEndpointBuilderFactory.ClassEndpointBuilder |
clas(String componentName,
String path)
Class (camel-bean)
Invoke methods of Java beans specified by class name.
|
default ClassEndpointBuilderFactory.ClassEndpointBuilder clas(String path)
class:beanName
Path parameter: beanName (required)
Sets the name of the bean to invokepath - beanNamedefault ClassEndpointBuilderFactory.ClassEndpointBuilder clas(String componentName, String path)
class:beanName
Path parameter: beanName (required)
Sets the name of the bean to invokecomponentName - to use a custom component name for the endpoint
instead of the default namepath - beanNameApache Camel